Package org.kapott.hbci.sepa.jaxb.pain_002_001_03

## Class BranchAndFinancialInstitutionIdentificationSEPA2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_03.BranchAndFinancialInstitutionIdentificationSEPA2

    public class BranchAndFinancialInstitutionIdentificationSEPA2
    extends java.lang.Object

Java class for BranchAndFinancialInstitutionIdentificationSEPA2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BranchAndFinancialInstitutionIdentificationSEPA2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FinInstnId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}FinancialInstitutionIdentificationSEPA2"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected FinancialInstitutionIdentificationSEPA2` `finInstnId`

### Constructor Summary

Constructors
`BranchAndFinancialInstitutionIdentificationSEPA2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FinancialInstitutionIdentificationSEPA2` `getFinInstnId()` Gets the value of the finInstnId property.
`void` `setFinInstnId​(FinancialInstitutionIdentificationSEPA2 value)` Sets the value of the finInstnId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### finInstnId

    protected FinancialInstitutionIdentificationSEPA2 finInstnId

### Constructor Detail

#### BranchAndFinancialInstitutionIdentificationSEPA2

    public BranchAndFinancialInstitutionIdentificationSEPA2()

### Method Detail

#### getFinInstnId

    public FinancialInstitutionIdentificationSEPA2 getFinInstnId()

Gets the value of the finInstnId property.

Returns:
  possible object is `FinancialInstitutionIdentificationSEPA2`

#### setFinInstnId

    public void setFinInstnId​(FinancialInstitutionIdentificationSEPA2 value)

Sets the value of the finInstnId property.

Parameters:
  `value` - allowed object is `FinancialInstitutionIdentificationSEPA2`